Subject: Re: [bug#62643] [PATCH] gnu: rust-1.65: Rename package to rust-next.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 03 Apr 2023 23:49:40 -0400

Hi Simon,

Simon Tournier <[email-masked]> writes:

> Hi,
>
> On Mon, 03 Apr 2023 at 16:05, Maxim Cournoyer <[email-masked]> wrote:
>
>>>> * gnu/packages/rust.scm (rust-next): New exported variable, formerly known as
>>>> "rust-1.65".
>>>
>>> For the reasons I outlined in <https://issues.guix.gnu.org/62064#5>, we can't
>>> just export RUST-1.65 as RUST-NEXT, unfortunately...
>
> I understand that the current rust-1.65 is unusable by itself because it
> misses some part as explained by <https://issues.guix.gnu.org/62064#5>.
>
> However, I do not understand that…
>
>> Agreed.  If there is a need for newer public rust version, please go
>> through the maintainers' note above the 'rust' variable:
>>
>> ;;; Note: Only the latest versions of Rust are supported and tested.
>
> How 1.60 could be the latest compared to 1.65?

Perhaps it was an oversight, or preparation for the next bump?  (getting
to know the hash and any new inputs needed, etc., without doing the
actual work of migrating the leaf rust definition to the latest rust).

> Said differently, why 1.65 is packaged if it is unusable?  Even, what is
> the point to maintain 1.61, 1.62, 1.63, 1.64 and 1.65 if they are
> unexported and unusable?  These 5 versions are not part of the bootstrap
> of 1.60.

See above justification.  It's an internal package.  You won't find it
at the CLI, so you can't really say that "it's packaged" :-).

> If the work for updating the Rust ecosystem is a work in progress and
> this work is currently in the middle, why is it not done in a dedicated
> branch?

With the new teams flow, I hope that can be used for that way too.  I'd
prefer always having the leaf rust package exported and no newer
trailing but not there yet variants.

I think we all agree.  We just need a champion to do it :-).

-- 
Thanks,
Maxim